### Method

# Gegl Processorwork

#### Declaration [src]

    gboolean
    gegl_processor_work (
      GeglProcessor* processor,
      gdouble* progress
    )

#### Description [src]

Do an iteration of work for the processor.

Returns TRUE if there is more work to be done.

GeglProcessor *processor = gegl_node_new_processor (node, &roi); double progress;

while (gegl_processor_work (processor, &progress)) g_warning (“%f%% complete”, progress); g_object_unref (processor);.

#### Parameters

`progress`

  Type: `gdouble*`

  A location to store the (estimated) percentage complete.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

No description available.